Create a character from an uploaded video
Sora2-only · create a reusable character from an uploaded video (POST /v1/videos/characters).
POST
/v1/videos/charactersBody Parametersmultipart/form-data
name* string
Define role name. Maximum length 80 Minimum length 1
video* string · binary
Video file used to create the character. Character uploads currently work best in 16:9 or 9:16 with short 2 to 4 second clips in 720p to 1080p resolutions. Character source video works best when it matches the aspect ratio required for output. If the aspect ratio is different, the character may appear stretched or distorted. A video can contain up to two characters.
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"name": "可爱的小鱼",
3"video": "file://C:\\Users\\Administrator\\Desktop\\下载.mp4",
4"x-i18n": {
5"en-US": {
6"name": "Cute little fish"
7}
8}
9}
1curl -X POST "https://api.digislash.com/v1/videos/characters" \
2-H "Authorization: Bearer <API Key>" \
3-F "name=可爱的小鱼" \
4-F "video=@file://C:\Users\Administrator\Desktop\下载.mp4"
1▼{
2"created_at": 1761622232,
3"id": "video_5c6a605a-30c0-4a6a-9dbd-d1d6cfdd9980",
4"model": "sora-2",
5"object": "video",
6"progress": 0,
7"seconds": "10",
8"size": "1280x720",
9"status": "queued"
10}
